<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: gg::LoadGame Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1LoadGame.html">LoadGame</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classgg_1_1LoadGame-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">gg::LoadGame Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="LoadGame_8hpp_source.html">LoadGame.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for gg::LoadGame:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classgg_1_1LoadGame.png" usemap="#gg::LoadGame_map" alt=""/>
  <map id="gg::LoadGame_map" name="gg::LoadGame_map">
<area href="classgg_1_1GameState.html" alt="gg::GameState" shape="rect" coords="69,56,198,80"/>
<area href="classgg_1_1IEventSubscriber.html" alt="gg::IEventSubscriber" shape="rect" coords="0,0,129,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5deab30b7b68960f6d871bd3bad7dcbc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a5deab30b7b68960f6d871bd3bad7dcbc">LoadGame</a> ()</td></tr>
<tr class="separator:a5deab30b7b68960f6d871bd3bad7dcbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a524f47a1a3e99d0aafbcc1133d5ed597"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a524f47a1a3e99d0aafbcc1133d5ed597">~LoadGame</a> () override</td></tr>
<tr class="separator:a524f47a1a3e99d0aafbcc1133d5ed597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a012089b4102a2a9944cf64014d790b8e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a012089b4102a2a9944cf64014d790b8e">Enter</a> () override</td></tr>
<tr class="separator:a012089b4102a2a9944cf64014d790b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59171c9e105381f4cfeed42870f6be6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a59171c9e105381f4cfeed42870f6be6f">Exit</a> () override</td></tr>
<tr class="separator:a59171c9e105381f4cfeed42870f6be6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1223fa3504565129721ad355c1c67f69"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a1223fa3504565129721ad355c1c67f69">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e) override</td></tr>
<tr class="separator:a1223fa3504565129721ad355c1c67f69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d5b796539a4d4bf65fcb93a078df54"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a76d5b796539a4d4bf65fcb93a078df54">Update</a> () override</td></tr>
<tr class="separator:a76d5b796539a4d4bf65fcb93a078df54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77cce5144b17b222fa029187d944ab1b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a77cce5144b17b222fa029187d944ab1b">OnSelectedGameEvent</a> (const std::string &amp;)</td></tr>
<tr class="separator:a77cce5144b17b222fa029187d944ab1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a000ae67689c85a4e6efd9cccc7ddb109"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1LoadGame.html#a000ae67689c85a4e6efd9cccc7ddb109">OnBackPressedEvent</a> ()</td></tr>
<tr class="separator:a000ae67689c85a4e6efd9cccc7ddb109"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:a5f1b188a3cb1ecb87ee511eb94bac00a inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a5f1b188a3cb1ecb87ee511eb94bac00a">GameState</a> (<a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>)</td></tr>
<tr class="separator:a5f1b188a3cb1ecb87ee511eb94bac00a inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002bb6e63a30011a1994f94a174f78dd inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a002bb6e63a30011a1994f94a174f78dd">~GameState</a> () override=default</td></tr>
<tr class="separator:a002bb6e63a30011a1994f94a174f78dd inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5b20ea0224f8a5fde426cecc5c58663 inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">Enter</a> ()</td></tr>
<tr class="separator:aa5b20ea0224f8a5fde426cecc5c58663 inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bd8ba8c1de8c6d955266c06366b945e inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">Exit</a> ()</td></tr>
<tr class="separator:a1bd8ba8c1de8c6d955266c06366b945e inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ecdbb073943b30d3761441a64c287f2 inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">Update</a> ()=0</td></tr>
<tr class="separator:a9ecdbb073943b30d3761441a64c287f2 inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889abdb1cbc9d27df5b6ea25dae3942b inherit pub_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a889abdb1cbc9d27df5b6ea25dae3942b">GetSceneType</a> () -&gt; <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a></td></tr>
<tr class="separator:a889abdb1cbc9d27df5b6ea25dae3942b inherit pub_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classgg_1_1IEventSubscriber"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classgg_1_1IEventSubscriber')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td></tr>
<tr class="memitem:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a08d412b35e08386f265840cd3652c8fc inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a> ()=default</td></tr>
<tr class="separator:a574e684bfb29123ae250769873231cd8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a> (const <a class="el" href="classgg_1_1IEventSubscriber.html">IEventSubscriber</a> &amp;) -&gt; bool</td></tr>
<tr class="separator:ac8aebcb4316a65f73f794a924e5619ee inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">OnEvent</a> (<a class="el" href="classgg_1_1IEvent.html">IEvent</a> *e)</td></tr>
<tr class="separator:a08c9dd34d285004445b619fe55a064f6 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a> () const -&gt; size_t</td></tr>
<tr class="separator:a961a23b00ee141313a4c8f7a505f3cb8 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:ad78398900f7d14a9594e243e115e7ad0 inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a87ad672a9db8b804deca81b7c4e6723f inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a> ()</td></tr>
<tr class="separator:a44c244803f071939ab0822ec856903db inherit pub_methods_classgg_1_1IEventSubscriber"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:a73aefae71e9c2b1d25570209eb8060ba inherit pro_methods_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#a73aefae71e9c2b1d25570209eb8060ba">draw</a> (sf::RenderTarget &amp;target, sf::RenderStates states) const override</td></tr>
<tr class="separator:a73aefae71e9c2b1d25570209eb8060ba inherit pro_methods_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classgg_1_1GameState"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classgg_1_1GameState')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classgg_1_1GameState.html">gg::GameState</a></td></tr>
<tr class="memitem:aff73b97ff10df8d9e2adc87adb946721 inherit pro_attribs_classgg_1_1GameState"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9">SceneType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgg_1_1GameState.html#aff73b97ff10df8d9e2adc87adb946721">m_sceneType</a> = <a class="el" href="namespacegg.html#a185920557ea920066338d5dec2aa9cf9a90589c47f06eb971d548591f23c285af">SceneType::Custom</a></td></tr>
<tr class="separator:aff73b97ff10df8d9e2adc87adb946721 inherit pro_attribs_classgg_1_1GameState"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5deab30b7b68960f6d871bd3bad7dcbc" name="a5deab30b7b68960f6d871bd3bad7dcbc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5deab30b7b68960f6d871bd3bad7dcbc">&#9670;&nbsp;</a></span>LoadGame()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">gg::LoadGame::LoadGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a524f47a1a3e99d0aafbcc1133d5ed597" name="a524f47a1a3e99d0aafbcc1133d5ed597"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a524f47a1a3e99d0aafbcc1133d5ed597">&#9670;&nbsp;</a></span>~LoadGame()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">gg::LoadGame::~LoadGame </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a012089b4102a2a9944cf64014d790b8e" name="a012089b4102a2a9944cf64014d790b8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a012089b4102a2a9944cf64014d790b8e">&#9670;&nbsp;</a></span>Enter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::LoadGame::Enter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1GameState.html#aa5b20ea0224f8a5fde426cecc5c58663">gg::GameState</a>.</p>

</div>
</div>
<a id="a59171c9e105381f4cfeed42870f6be6f" name="a59171c9e105381f4cfeed42870f6be6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59171c9e105381f4cfeed42870f6be6f">&#9670;&nbsp;</a></span>Exit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::LoadGame::Exit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1GameState.html#a1bd8ba8c1de8c6d955266c06366b945e">gg::GameState</a>.</p>

</div>
</div>
<a id="a000ae67689c85a4e6efd9cccc7ddb109" name="a000ae67689c85a4e6efd9cccc7ddb109"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a000ae67689c85a4e6efd9cccc7ddb109">&#9670;&nbsp;</a></span>OnBackPressedEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::LoadGame::OnBackPressedEvent </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1223fa3504565129721ad355c1c67f69" name="a1223fa3504565129721ad355c1c67f69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1223fa3504565129721ad355c1c67f69">&#9670;&nbsp;</a></span>OnEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::LoadGame::OnEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classgg_1_1IEvent.html">IEvent</a> *&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="classgg_1_1IEventSubscriber.html#a08c9dd34d285004445b619fe55a064f6">gg::IEventSubscriber</a>.</p>

</div>
</div>
<a id="a77cce5144b17b222fa029187d944ab1b" name="a77cce5144b17b222fa029187d944ab1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77cce5144b17b222fa029187d944ab1b">&#9670;&nbsp;</a></span>OnSelectedGameEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void gg::LoadGame::OnSelectedGameEvent </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76d5b796539a4d4bf65fcb93a078df54" name="a76d5b796539a4d4bf65fcb93a078df54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76d5b796539a4d4bf65fcb93a078df54">&#9670;&nbsp;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void gg::LoadGame::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classgg_1_1GameState.html#a9ecdbb073943b30d3761441a64c287f2">gg::GameState</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/gamestates/<a class="el" href="LoadGame_8hpp_source.html">LoadGame.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
